Subject: Re: bug#41242: Port feature/native-comp to Windows - Reduce the number of files probed when finding a lisp file.

From: Andrea Corallo <[email-masked]>
Date: Sat, 06 Jun 2020 23:20:02 +0000

Nicolas Bértolo <[email-masked]> writes:

>> Perhaps if you are chasing the hash bug I guess is more important now.
>
> I agree, but that bug keeps eluding me. I thought of not using a Lisp hashtable
> and moving to an adhoc C list may be better.
>
>> there is also the possibility that we are going to change radically all
>> the eln load mechanism.
>
> No I hadn't. That sounds good. But there are a few issues that I'm not sure
> about. How would you build the hash? Only the filename? The full path? Both of
> these options have problems. The current approach makes it easy to avoid
> filename collisions and to associate .eln files with their source code.

Yeah there are a lot of open questions.  Certainly if we go for this
solution it has to be fully transparent and very robust.  Please join
the thread there with your observations.

> Right now I'm trying to fix a bug that prevents the Windows build from dumping.
> It only happens in 64 bits and nativecomp does not make a difference, but I
> haven't been able to reproduce it in master. It occurs during the marking stage
> of the GC.

Mmmh strange, recent GC fixes *should* not impact you.  Will be
interesting to see what's the issue.

> I'll have to bisect the newest changes from master, as I see there has been work
> on the GC fixing bugs.
>
> Nico.

  Andrea

-- 
[email-masked]